<html>

<head>

    <style>
        #fondo {
            background-image: url("https://images.pexels.com/photos/260689/pexels-photo-260689.jpeg?auto=compress&cs=tinysrgb&dpr=2&h=650&w=940");
            height: 100vh;
            width: 100%;
            background-size: cover;
            background-repeat: no repeat;
            background-position: center;
            background-attachment: fixed;
            padding: 20px;
            margin: auto;

        }
    </style>
</head>

<body>
    <div id="fondo">
        <div style="text-align: right" style="float: right">
            <h2><img src="https://www.tecazuay.edu.ec/assets/img/logo.png" class="izquierda"></h2>
        </div>
        <h1> </h1>
        <h1 class="test1">TUTOR EMPRESARIAL</h1>
        <hr class="bordes" />
        <div class="row ">

            <p-table class="ex2" #dt [columns]="cols" [value]="tutorempresariales" [paginator]="true"
                (onRowSelect)="onRowSelect($event)" [rows]="10" [filterDelay]="400" selectionMode="single"
                [(selection)]=" tutorempresarialseleccionado" dataKey="idtutorEmpresarial"
                [style]="{'margin-left':'40px'}">
                <ng-template pTemplate="caption">
                    MÃ³dulos
                </ng-template>
                <ng-template pTemplate="caption">
                    <div style="text-align: right">
                        <i class="fa fa-search" style="margin:6px 6px 0 0"></i>
                        <input type="text" pInputText size="50" placeholder="Busqueda"
                            (input)="dt.filterGlobal($event.target.value, 'contains')" style="width:auto" />
                    </div>
                </ng-template>
                <ng-template pTemplate="header" let-columns>
                    <tr>
                        <th *ngFor="let col of columns" [pSortableColumn]="col.field">
                            {{ col.header }}
                            <p-sortIcon [field]="col.field"></p-sortIcon>
                        </th>
                    </tr>
                </ng-template>

                <ng-template pTemplate="body" let-rowData let-columns="columns">
                    <tr [pSelectableRow]="rowData">
                        <td *ngFor="let col of columns">
                            {{ rowData[col.field] }}
                                           <span *ngIf="(col.field==='empresa')" >{{ rowData[col.field]?.idEmpresa}}</span> 
                        </td>
                    </tr>
                </ng-template>
                <ng-template pTemplate="summary" let-rowData>
                    <div style="text-align:right">
                        <button type="button" pButton icon="fa fa-plus" (click)="showDialogToAdd()"
                            label="Nuevo"></button>
                        <button type="button" pButton icon="fa fa-trash" (click)="borrar(idtutorEmpresarial)"
                            label="Borrar"></button>
                        <button type="button" pButton icon="fa fa-edit" (click)="showDialogToEdit()"
                            label="Editar"></button>
                        <!-- <button type="button" pButton icon="fa fa-refresh" (click)="listar()"
                        label="Actualizar">Actualizar</button> -->

                    </div>
                </ng-template>
            </p-table>
            <p-dialog  header="TUTOR" [(visible)]="displayDialog"  [responsive]="true" showEffect="fade" [modal]="true"
                [style]="{ width: '400px' }">
               
                <div class="col-md-8 mt-4">
                    <form #form="ngForm" *ngIf="tutorempresarial">

                        <div class="form-group">
                            <label for="" class="col-form-label-sm">Cedula:</label>
                            <input type="text" required class="form-control "
                                placeholder="Ingrese la cedula" name="cedula" #cedula="ngModel" required
                                [(ngModel)]="tutorempresarial.cedula" />

                            <h6 *ngIf="cedula.hasError('required') && cedula.touched" class="input-error">Campo
                                obligatorio</h6>
                        </div>

                        <div class="form-group">
                            <label for="" class="col-form-label-sm">Nombres:</label>
                            <input type="text" required class="form-control "
                                placeholder="Ingrese sus nombres" name="nombre" #nombre="ngModel"
                                required [(ngModel)]="tutorempresarial.nombre" />
                            <h6 *ngIf="nombre.hasError('required') && nombre.touched" class="input-error">Campo
                                obligatorio
                            </h6>
                        </div>
                        <div class="form-group">
                            <label for="" class="col-form-label-sm">Apellidos:</label>
                            <input type="text" required class="form-control" name="apellido"
                                [(ngModel)]="tutorempresarial.apellido" placeholder="Ingrese sus apellidos"
                                #apellido="ngModel">
                            <h6 *ngIf="apellido.hasError('required') && apellido.touched" class="input-error">Campo
                                obligatorio</h6>
                        </div>

                        <div class="form-group">
                            <label for="" class="col-form-label-sm">Telefono:</label>
                            <input type="text" required class="form-control" name="telefono"
                                [(ngModel)]="tutorempresarial.telefono"
                                placeholder="Ingrese su telefono" #telefono="ngModel"pKeyFilter="int">
                            <h6 *ngIf="telefono.hasError('required') && telefono.touched" class="input-error">Campo
                                obligatorio</h6>
                        </div>

                        <div class="form-group">
                            <label for="" class="col-form-label-sm">Correo:</label>
                            <input type="text" required class="form-control" name="correo"
                                [(ngModel)]="tutorempresarial.correo"
                                placeholder="Ingrese su e-mail" #correo="ngModel"pKeyFilter="email" ngModel
                                [email]="true">
                            <h6 *ngIf="correo.hasError('required') && correo.touched" class="input-error">Campo
                                obligatorio</h6>
                        </div>
                        <div class="form-group">
                            <label for="" class="col-form-label-sm">Cargo:</label>
                            <input type="text" required class="form-control" name="cargo"
                                [(ngModel)]="tutorempresarial.cargo" placeholder="Ingrese el cargo que ejerce"
                                #cargo="ngModel">
                            <h6 *ngIf="cargo.hasError('required') && cargo.touched" class="input-error">Campo
                                obligatorio
                            </h6>
                        </div>
                             <div class="form-group">
        
                        <label for="empresa">
                                    Empresa:
                                      
                                </label>
                                 <p-dropdown  name="mISelect" #mySelect="ngModel" [options]="this.empresas" placeholder="Seleccione la Empresa" overlayVisible="true" 
                      [ngModelOptions]="{standalone: true}" optionLabel="nombre" [(ngModel)]="tutorempresarial.empresas">
                        </p-dropdown >
                    <!--<h6 *ngIf="tutorempresarial.hasError('required') && tutorempresarial.touched" class="input-error">Campo obligatorio
                    </h6>-->
                </div>


                        <div class="text-center form-row justify-content-around">
                            <div class="col-5">
                                <button class="btn -btndanger" (click)="cerrar()">Cancelar</button>
                            </div>
                            <div class="col-5">
                                <button class="btn btn-success" [disabled]="form.invalid"
                                    (click)="btnGuardar()">Guardar</button>
                            </div> 
                        </div>
                    </form>
                </div>
            </p-dialog>
        </div>
</div>
</body>
</html>